classification
Title: urlparse.urlparse/urlsplit doc missing
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: adamnelson, dabrahams, docs@python, eric.araujo, meatballhat, orsenthil
Priority: normal Keywords:

Created on 2010-05-07 18:39 by dabrahams, last changed 2010-06-28 14:13 by orsenthil. This issue is now closed.

Messages (8)
msg105221 - (view) Author: Dave Abrahams (dabrahams) Date: 2010-05-07 18:39
The docstrings for these functions don't explain the 'scheme' parameter.  Even renaming it to default_scheme would help.
msg105249 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-05-08 01:43
I don't see anything that is missing. Its here in the docs 
http://docs.python.org/library/urlparse.html#urlparse-result-object
And also docstrings has the information too.

Could you explain a bit more as what you were expecting and found missing?
msg105340 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-05-08 22:18
I think you mean http://docs.python.org/library/urlparse.html#urlparse.urlparse

Dave, perhaps you were looking at an older version? Doc fixes for maintainance branches are welcome.
msg105417 - (view) Author: Dave Abrahams (dabrahams) Date: 2010-05-09 21:20
At Sat, 08 May 2010 22:18:13 +0000,
Éric Araujo wrote:
> 
> 
> Éric Araujo <merwok@netwok.org> added the comment:
> 
> I think you mean http://docs.python.org/library/urlparse.html#urlparse.urlparse
> 
> Dave, perhaps you were looking at an older version? Doc fixes for
> maintainance branches are welcome.

No, I was looking at (and reporting on) the docstrings.
msg106436 - (view) Author: AdamN (adamnelson) Date: 2010-05-25 14:32
Maybe he's referring to the fact that 'default_scheme' is referenced in the docs but in fact the parameter name is 'scheme'?
msg106449 - (view) Author: AdamN (adamnelson) Date: 2010-05-25 16:55
The default_scheme issue I brought up has been fixed in #8818
msg107760 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-06-13 22:16
Dave, can you explain your problem with a quote or a file name and line number, or directly propose a doc patch?
msg108832 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-06-28 14:13
Fixed in r82324, r82325, r82326, r82327.
Only the urlunsplit need the docstrings, I added that.
History
Date User Action Args
2010-06-28 14:13:24orsenthilsetstatus: open -> closed
resolution: fixed
messages: + msg108832

stage: resolved
2010-06-13 22:16:16eric.araujosetmessages: + msg107760
2010-05-25 16:55:55adamnelsonsetmessages: + msg106449
2010-05-25 14:32:29adamnelsonsetnosy: + adamnelson
messages: + msg106436
2010-05-09 21:20:39dabrahamssetmessages: + msg105417
2010-05-08 22:18:09eric.araujosetnosy: + eric.araujo
messages: + msg105340
2010-05-08 01:43:11orsenthilsetassignee: docs@python -> orsenthil

messages: + msg105249
nosy: + orsenthil
2010-05-08 00:12:39meatballhatsetnosy: + meatballhat
2010-05-07 18:39:00dabrahamscreate